<%# design link %>
<%# https://preview.themeforest.net/item/finate-job-portal-website-template-using-bootstrap-5/full_screen_preview/34406201?_ga=2.220692376.1836130364.1654335158-658582787.1619338616 %>
<div class='container'>
<section class="job-details-area">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="job-details-wrap">
						<div class="job-details-info">
							<div class="thumb">
								<img src="https://picsum.photos/seed/picsum/200/300" width="130" height="130" alt="Image-HasTech">
							</div>
							<div class="content">
								<h4 class="title"><%= @objekt.title.titleize %></h4>
								<h5 class="sub-title">Obelus Concepts Ltd.</h5>
								<ul class="info-list">
									<li><i class="fa fa-map-marker" aria-hidden="true"></i> <%= @objekt.location %></li>
									<li><i class="fa fa-link" aria-hidden="true"></i><%= @objekt.website_link %></li>
								</ul>
							</div>
						</div>
						<div class="job-details-price apply-job-<%= @objekt.id %>">
							<% if current_user.applied_jobs.include?(@objekt) %>
								Applied
							<% else %>
								<%= link_to 'Apply Now', user_jobs_path(user_job: { user_id: current_user.id, job_id: @objekt.id }), remote: true, method: 'post', class: 'btn btn-primary' %>
							<% end %>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-7 col-xl-8">
					<div class="job-details-item">
						<div class="content">
							<h4 class="title">Description</h4>
							<p class="desc">
								<%= @objekt.description.html_safe %>
							</p>
						</div>
						<div class="content">
							<h4 class="title">About Organization</h4>
							<%= @objekt.about_organization.html_safe %>
						</div>
					</div>
					<div class="apply-job-<%= @objekt.id %>">
						<% if current_user.applied_jobs.include?(@objekt) %>
							Applied
						<% else %>
							<%= link_to 'Apply', user_jobs_path(user_job: { user_id: current_user.id, job_id: @objekt.id }), remote: true, method: 'post', class: 'btn btn-primary' %>
						<% end %>
					</div>
				</div>
				<div class="col-lg-5 col-xl-4">
					<div class="job-sidebar">
						<div class="widget-item">
							<div class="widget-title">
								<h3 class="title">Summary</h3>
							</div>
							<div class="summery-info">
								<table class="table">
									<tbody>
										<tr>
											<td class="table-name">Job Type</td>
											<td class="dotted">:</td>
											<td data-text-color="#03a84e" style="color: rgb(3, 168, 78);"><%= @objekt.employment_type %></td>
										</tr>
										<%# <tr>
											<td class="table-name">Category</td>
											<td class="dotted">:</td>
											<td>Development</td>
										</tr> %>
										<tr>
											<td class="table-name">Posted</td>
											<td class="dotted">:</td>
											<td><%= @objekt.created_at.strftime("%e %b, %Y") %></td>
										</tr>
										<%# <tr>
											<td class="table-name">Category</td>
											<td class="dotted">:</td>
											<td>Development</td>
										</tr>
										<tr>
											<td class="table-name">Salary</td>
											<td class="dotted">:</td>
											<td>$5000 / Monthly</td>
										</tr> %>
										<tr>
											<td class="table-name">Experience(in years)</td>
											<td class="dotted">:</td>
											<td><%= @objekt.experience_in_years %></td>
										</tr>
										<tr>
											<td class="table-name">Gender</td>
											<td class="dotted">:</td>
											<td>Male or Female</td>
										</tr>
										<tr>
											<td class="table-name">Qualification</td>
											<td class="dotted">:</td>
											<td><%= @objekt.qualification.html_safe %></td>
										</tr>
										<tr>
											<td class="table-name">Level</td>
											<td class="dotted">:</td>
											<td><%= @objekt.level  %></td>
										</tr>
										<tr>
											<td class="table-name">Applied</td>
											<td class="dotted">:</td>
											<td><%= @objekt.users.count %> Applicant</td>
										</tr>
										<%# <tr>
											<td class="table-name">Website Link</td>
											<td class="dotted">:</td>
											<td data-text-color="#ff6000" style="color: rgb(255, 96, 0);">20 November, 2021</td>
										</tr> %>
										<tr>
											<td class="table-name">Website Link</td>
											<td class="dotted">:</td>
											<td>
												<%= @objekt.website_link %>
											</td>
										</tr>
										<tr>
											<td class="table-name">Location</td>
											<td class="dotted">:</td>
											<td>
												<%= @objekt.location %>
											</td>
										</tr>
									</tbody>
								</table>
							</div>
						</div>
						<div class="widget-item mt-4">
							<div class="widget-title">
								<h3 class="title">Looking for talent?</h3>
							</div>
							<div class="social-icons">
								<button type="button" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#newJobModal">
									Post a free job
								</button>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
</div>

<%= render 'shared/new_job_modal'%>